Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class RecordImpl

    java.lang.Object
      com.bea.adapter.cci.RecordImpl

All Implemented Interfaces:
  Serializable, Cloneable, javax.resource.cci.Record

    public class RecordImpl

extends Object
implements javax.resource.cci.Record, Serializable

Provides a base implementation for a `Record`. Adapter providers should extend this class when developing a new Record type.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RecordImpl()` Initializes the name and description to null.
`RecordImpl(String strName, String strDescription)` Initializes the members of this class to the arguments supplied.

Method Summary
`Object` | `clone()` Clones the name and description of this record.
`boolean` | `equals(Object obj)` Compares the argument to this
`String` | `getRecordName()`
`String` | `getRecordShortDescription()`
`int` | `hashCode()`
`void` | `setRecordName(String strName)` Sets the name of this record
`void` | `setRecordShortDescription(String strDescription)` Sets the short description for this record
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordImpl

    public RecordImpl()

  Initializes the name and description to null.

### RecordImpl

    public RecordImpl(String strName,
                      String strDescription)

  Initializes the members of this class to the arguments supplied.

  Parameters:
    `strName` - - record name
    `strDescription` - - short description of the record

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Clones the name and description of this record.

  Specified by:
    `clone` in interface `javax.resource.cci.Record`
  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### equals

    public boolean equals(Object obj)

  Compares the argument to this

  Specified by:
    `equals` in interface `javax.resource.cci.Record`
  Overrides:
    `equals` in class `Object`
  Returns:
    true if the argument is of this type and its name and description are the same; false otherwise

### getRecordName

    public String getRecordName()

  Specified by:
    `getRecordName` in interface `javax.resource.cci.Record`
  Returns:
    this record's name; may return null

### getRecordShortDescription

    public String getRecordShortDescription()

  Specified by:
    `getRecordShortDescription` in interface `javax.resource.cci.Record`
  Returns:
    a short description of this record, may return null

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.resource.cci.Record`
  Overrides:
    `hashCode` in class `Object`

### setRecordName

    public void setRecordName(String strName)

  Sets the name of this record

  Specified by:
    `setRecordName` in interface `javax.resource.cci.Record`

### setRecordShortDescription

    public void setRecordShortDescription(String strDescription)

  Sets the short description for this record

  Specified by:
    `setRecordShortDescription` in interface `javax.resource.cci.Record`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of this record, combination of its name and description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD